> For the complete documentation index, see [llms.txt](https://docs.adnuntius.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adnuntius.com/adnuntius-advertising/requesting-ads/intro/adn-feedback.md).

# Logging Options

There are two ways to enable logging from adn.js: in your browser's development console and inside your ad unit on screen.

Here are the available options:

## Console Logging

* `all`: show all possible messages, including debugging information
* `warnings`: show all errors and warnings (the default option)
* `error`: show all errors
* `silent`: show nothing in the console from adn.js

## In Screen Logging

* `inAdUnit`: show debug information inside your ad units
* `silent`: show no messages inside your ad units (the default option)

These logging modes can be triggered two ways: via the URL and via code.

Just add the following to the end of the URL to trigger specific logging methods in the page: `?console=all&inScreen=inAdUnit`

Alternatively, place this code just under your `body` tag or anywhere preceding your ad requests to ensure the settings are set before any important stuff happens:

```javascript
window.adn = window.adn || {};
adn.calls = adn.calls || [];
adn.calls.push(function() {
    adn.setFeedbackOptions({console: 'silent', inScreen: 'inAdUnit'})
});
```

**Added extra:** you can also trigger showing debug information inside your ad units by adding `?adnDebug123` to the page's URL.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.adnuntius.com/adnuntius-advertising/requesting-ads/intro/adn-feedback.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
